<template>
  <div>
    <div>
<CModal
      title="Modal title"
      size="sm"
      :show.sync="smallModal">
      {{ SuccessMsg }}

</CModal>


<CCardBody>
     <h5>Material Supply Entry</h5>
   
   
    <CDataTable
      :items="items"
      :fields="fields"
      table-filter
      items-per-page-select
      :items-per-page="5"
      pagination
      hover
      striped
      border
      sorter
      
     >
  
<!--Adding Customs buttons to each row -->
    <template #show_details="{item}" >
      <CButton size="sm" color="info" class="ml-1"  @click="ShowUpdateModal=true; SelectMaterial(item)"> Update </CButton>
      <CButton size="sm" color="danger" class="ml-1" @click="ShowDeleteModal=true; SelectMaterial(item)" >Delete</CButton>
      <CButton size="sm" color="dark" class="ml-1" @click="ShowDetailsModal=true; SelectMaterial(item)"> Details </CButton>
    </template>

    </CDataTable>
      <CButton size="sm" color="info" class="" @click="ShowAddModal=true"> Add New Material</CButton>
      
     
  </CCardBody>

 </div>



<!-- Show Add Modal -->
<div id="overlay" v-if="ShowAddModal">
<div class="modal-dialog  modal-lg" >
<div class="modal-content">
  <div class="modal-header">
    <h5 class="modal-title">Enter Material Details</h5>
    <button type="button" class="close"  @click="ShowAddModal=false">
    <span aria-hidden="true">&times;</span>
    </button>
  </div>
<div class="modal-body modal-lg">

<form >

  <div>
        <!-- <CListGroupItem href="#" color="secondary"> -->
        
    <CRow>
       <CCol sm="2" > Material</CCol>
       <CCol sm="3">      

<div >
<div class="form-group"> 
<div class="dropdown">
    <input v-if="Object.keys(selectedItem).length === 0" ref="dropdowninput" v-model.trim="inputValue" class="form-control" type="text" placeholder="" />
    <div v-else @click="resetSelection" class="dropdown-selected">
   
      {{ selectedItem.material}}
    </div>
    <div v-show="inputValue && apiLoaded" class="dropdown-list">
      <div @click="selectItem(item)" v-show="itemVisible(item)" v-for="item in materialitems" :key="item.material_Id" class="dropdown-item">
           {{ item.material }}
      </div>
    </div>
  </div>

</div>
  </div>
      </CCol>

 <CCol sm="2" >Quantity</CCol>
         <CCol sm="4">  <div clas s="form-group">
<input type="text" name="quantity" class="form-control " placeholder="" v-model="newMaterial.quantity"/></div>
      </CCol>
    </CRow>
      
    <CRow>
      <CCol sm="2" > Batch Type</CCol>
      <CCol sm="3">
    <div class="form-group"> 
    <select class="form-control " v-model="newMaterial.batch_Type_Id" placeholder="Batch Type" >
    <!-- <option value= "Select Material Type" selected disabled>Select Material Type</option> -->
    <option v-for="item in batchtypeitems" :value="item.batch_Type_Id" :key="item.batch_Type_Id">{{ item.batch_Type_Name }} </option>
  </select></div>
      </CCol>

 <CCol sm="2" >Invoice Date</CCol>
      <CCol sm="4" >
  <div class="form-group">
  <input type="date" name="invoice_Date" class="form-control"  placeholder=""  v-model="newMaterial.invoice_Date"/></div>
        </CCol>          
    </CRow>
    <CRow>
   
       <CCol sm="2" > Invoice No</CCol>
      <CCol sm="3">
     <div class="form-group">  <input type="text" name="invoice_No" class="form-control" placeholder="" v-model="newMaterial.invoice_No"/></div>

      </CCol>
      <CCol sm="2" > Production Date</CCol>
         <CCol sm="4">
   <div class="form-group">  
      <!-- <input type="date" name="prodDate" class="form-control form-control-sm" placeholder="Select material"  v-model="newMaterial.prodDate"> -->
          
    <vue-monthly-picker       
       :min="min" :max="max"
      :monthLabels="locale"       
       v-model="prodDate_m"
      >
      </vue-monthly-picker>     
      </div>        
 
      </CCol> 
         </CRow>
          <CRow>
             <CCol sm="2" > Supplier</CCol>
     
      <CCol sm="3">
        <select class="form-control" v-model="newMaterial.supplier_Id" placeholder="Supplier" >
    <!-- <option value= "Select Material Type" selected disabled>Select Material Type</option> -->
    <option v-for="item in supplieritems" :value="item.supplier_Id" :key="item.supplier_Id">{{ item.supplier_Name }} </option>
  </select>
      </CCol>
         <CCol sm="2" > Expiry Date </CCol>
      <CCol sm="4">
        <div class="form-group">
  
<!-- <input type="date" name="exp_Date" class="form-control form-control-sm" placeholder=""  v-model="newMaterial.exp_Date"> -->
 <div >
 <vue-monthly-picker     
       :min="min" :max="max"
      :monthLabels="locale"       
       v-model="exp_Date_m">
      </vue-monthly-picker>
 </div>
       <!-- @selected="handleSelect" -->
<!-- :clearOption="clearOption" -->
<!-- :selectedBackgroundColor="selectedBackgroundColor" -->
 <!-- :alignment="alignment" -->
  <!-- :inputClass="{'input': isDisplayInput}" -->
</div>
  </CCol>    
    </CRow>
     <CRow>
  
     <CCol sm="2" > Location</CCol>
        <CCol sm="3">
     <div class="form-group">     <select class="form-control" v-model="newMaterial.location_Id" placeholder="Location" >
    <!-- <option value= "Select Material Type" selected disabled>Select Material Type</option> -->
    <option v-for="location in locations" :value ="location.location_Id" :key="location.location_Id">{{ location.location_Name }} </option>
  </select></div>
        </CCol>   

              <CCol sm="2" >No.of Prints</CCol>
      <CCol sm="4">
        <div class="form-group">  
<input type="text" name="no_of_tag" class="form-control" placeholder=""  v-model="newMaterial.no_Of_Copies">
</div>
         </CCol>
            </CRow>
        <CRow>
        
         <CCol sm="3">
           
<CButton size="sm" color="info" class=""  @click="ShowAddModal=false; ShowAlerteModal =true; addToTagGeneration(CurrentMaterial);" > Reprint Tag </CButton>

      </CCol>

      <CCol sm="3">
           
<CButton size="sm" color="info" class=""  @click="ShowAddModal=false; ShowAlerteModal =true; addMaterials(); " > Print Tag </CButton>

      </CCol>
   
   
    </CRow>
     <!-- </CListGroupItem> -->
  </div>

</form>

</div>
</div>
</div>
</div>


<!-- Alert Modal -->
<div id="overlay" v-if="ShowAlerteModal">
<div class="modal-dialog">

<div class="modal-content">
  <div class="modal-header">

    <h5 class="modal-title">Tag Printing</h5>
    <button type="button" class="close"  @click="ShowAlerteModal=false">
    <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body p-4">
<h4 class="text-dark">Tag is being Printed Click OK to Close </h4>
<h5> </h5>
<hr>
<button class="btn btn-danger btn-sm" @click="ShowAlerteModal=false;      ShowAddModal=true;  "> OK </button>
</div>
</div>
</div>
</div>




<!-- Show Details Modal -->
<div id="overlay" v-if="ShowDetailsModal">
<div class="modal-dialog">

<div class="modal-content">
  <div class="modal-header">
    <h5 class="modal-title">Material Details</h5>
    <button type="button" class="close"  @click="ShowDetailsModal=false">
    <span aria-hidden="true">&times;</span>
    </button>
  </div>
<div class="modal-body p-4 ">

<form action="#" method="POST">
  <div class="form-group">
  <div  >
    
  <label for="barcode">Barcode </label>
<input type="text" name="barcode" class="form-control form-control-sm"  readonly placeholder="barcode" v-model="CurrentMaterial.barcode">
</div> 

<div >
  <label for="supplier_Id">Supplier </label>
<input type="text" name="supplier_Id" class="form-control form-control-sm" readonly placeholder="suppliername" v-model="CurrentMaterial.suppliername">
</div>
<div>
  <label for="supplier_Id">Material </label>
<input type="text" name="materialDesc" class="form-control form-control-sm" readonly  v-model="CurrentMaterial.materialDesc">
</div>
<div>
     <label for="batch_Type_Id">Batch Type </label>
<input type="text" name="batch_Type_Id" class="form-control form-control-sm" readonly placeholder="batchTypeName" v-model="CurrentMaterial.batchTypeName">
</div>


<div >
  <label for="quantity">Quantity </label>
<input type="text" name="quantity" class="form-control form-control-sm" readonly placeholder="quantity" v-model="CurrentMaterial.quantity">
</div>

<div >
      <label for="invoice_No">Invoice No </label>
<input type="text" name="invoice_No" class="form-control form-control-sm" readonly placeholder="invoice_No" v-model="CurrentMaterial.invoice_No">
</div>

<div >
   <label for="invoice_Date">Invoice Date </label>
<input type="text" name="invoice_Date" class="form-control form-control-sm" readonly placeholder="invoice_Date"  v-model="CurrentMaterial.invoice_Date">
</div>
<div >
      <label for="location_Id">Location Id </label>
<input type="text" name="location_Id" class="form-control form-control-sm" readonly placeholder="location_Id"  v-model="CurrentMaterial.locationName">
</div>
<div >
      <label for="prodDate">Production Date </label>
<input type="text" name="prodDate" class="form-control form-control-sm" readonly placeholder="prodDate"  v-model="CurrentMaterial.prodDate">
</div>
<div >
    <label for="exp_Date">Expiry Date </label>
<input type="text" name="exp_Date" class="form-control form-control-sm" readonly placeholder="exp_Date"  v-model="CurrentMaterial.exp_Date">
</div>
<!-- <div >
    <label for="no_Of_Copies">No. Of Prints </label>
<input type="text" name="no_Of_Copies" class="form-control form-control-sm"  placeholder="0"  v-model="CurrentMaterial.no_Of_Copies">
</div> -->
</div>
<div class="form-group">
 
<!-- <button  class="btn btn-info btn-block btn-sm" @click=" addToTagGeneration(CurrentMaterial);ShowDetailsModal=false; ShowDetailsModal=true;" > Print Tag</button> -->
<button class="btn btn-info btn-block btn-sm"  @click="ShowDetailsModal=false; " > Close </button>
</div>
</form>

</div>
</div>
</div>
</div>

<!-- Show Update Modal -->
<div id="overlay" v-if="ShowUpdateModal">
<div class="modal-dialog">

<div class="modal-content">
  <div class="modal-header">
    <h5 class="modal-title">Update Material</h5>
    <button type="button" class="close"  @click="ShowUpdateModal=false">
    <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body p-4">
<form action="#" method="POST">
<div class="form-group">
<input type="text" name="inv_TransId" class="form-control form-control-sm" readonly placeholder="inv_TransId" v-model="CurrentMaterial.inv_TransId">
</div>
<!-- <div class="form-group">
  <label for="barcode">Barcode </label>
<input type="text" name="barcode" class="form-control form-control-sm"  readonly placeholder="barcode" v-model="CurrentMaterial.barcode">
</div> -->
<!-- 
<div class="form-group">
  <label for="supplier_Id">Supplier </label>
<input type="text" name="supplier_Id" class="form-control form-control-sm" placeholder="supplier_Id" v-model="CurrentMaterial.supplier_Id">
</div> -->
<div class="form-group">
     <label for="supplier_Id">Supplier </label>
 <select class="form-control" v-model="CurrentMaterial.supplier_Id" placeholder="Supplier" >
    <!-- <option value= "Select Material Type" selected disabled>Select Material Type</option> -->
  <option v-for="item in supplieritems" :value="item.supplier_Id" :key="item.supplier_Id">{{ item.supplier_Name }} </option>
  </select>
</div>

<div class="form-group">
    <label for="materialDesc">Material  </label>
 <select class="form-control" v-model="CurrentMaterial.material_Id" placeholder="Material Description"  >
    <!-- <option value="" selected disabled>Select Material </option> -->
    <option v-for="item in materialitems" :value="item.material_Id" :key="item.material_Id">{{ item.material }}</option>
  </select>
</div>
<!-- 
<div class="form-group">
    <label for="batch_Type_Id">Batch Type </label>
<input type="text" name="batch_Type_Id" class="form-control form-control-sm" placeholder="batch_Type_Id" v-model="CurrentMaterial.batch_Type_Id">
</div> -->
<div class="form-group">
     <label for="batch_Type_Id">Batch Type </label>
 <select class="form-control" v-model="CurrentMaterial.batch_Type_Id" placeholder="Batch Type" >
    <!-- <option value= "Select Material Type" selected disabled>Select Material Type</option> -->
    <option v-for="item in batchtypeitems" :value="item.batch_Type_Id" :key="item.batch_Type_Id">{{ item.batch_Type_Name }} </option>
  </select>
</div>

<div class="form-group">
   <label for="quantity">Quantity </label>
<input type="text" name="quantity" class="form-control form-control-sm" placeholder="quantity" v-model="CurrentMaterial.quantity">
</div>

<div class="form-group">
     <label for="invoice_No">Invoice No </label>
<input type="text" name="invoice_No" class="form-control form-control-sm" placeholder="invoice_No" v-model="CurrentMaterial.invoice_No">
</div>

<div class="form-group">
  <label for="invoice_Date">Invoice Date </label>
<input type="date" name="invoice_Date" class="form-control form-control-sm" placeholder="invoice_Date"  v-model="CurrentMaterial.invoice_Date">
</div>
<!-- <div class="form-group">
       <label for="location_Id">Location Id </label>
<input type="text" name="location_Id" class="form-control form-control-sm" placeholder="location_Id"  v-model="CurrentMaterial.location_Id">
</div> -->
<div class="form-group">
     <label for="location_Id">Location </label>
 <select class="form-control" v-model="CurrentMaterial.location_Id" placeholder="Location" >
    <!-- <option value= "Select Material Type" selected disabled>Select Material Type</option> -->
    <option v-for="item in locations" :value ="item.location_Id" :key="item.location_Id">{{ item.location_Id }} </option>
  </select>
</div>
<div class="form-group">
   <label for="prodDate">Production Date </label>
<input type="date" name="prodDate" class="form-control form-control-sm" placeholder="prodDate"  v-model="CurrentMaterial.prodDate">
</div>
<div class="form-group">
    <label for="exp_Date">Expiry Date </label>
<input type="date" name="exp_Date" class="form-control form-control-sm" placeholder="exp_Date"  v-model="CurrentMaterial.exp_Date">
</div>

<div class="form-group">
<button class="btn btn-info btn-block btn-sm"  @click="ShowUpdateModal=false;UpdateMaterials();" > Update Material </button>
</div>

</form>

</div>
</div>
</div>
</div>


<!-- Delete Modal -->
<div id="overlay" v-if="ShowDeleteModal">
<div class="modal-dialog">

<div class="modal-content">
  <div class="modal-header">

    <h5 class="modal-title">Delete Material</h5>
    <button type="button" class="close"  @click="ShowDeleteModal=false">
    <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body p-4">
<h4 class="text-danger"> Are you sure want to delete the material ? </h4>
<h5> You are deleting {{ this.CurrentMaterial.inv_TransId +' || '+ this.CurrentMaterial.material_Id }}</h5>
<hr>
<button class="btn btn-danger btn-sm" @click="ShowDeleteModal=false; deleteItem();getAllMaterialDetails()  "> Yes </button>
&nbsp;&nbsp;&nbsp;&nbsp;  
<button class="btn btn-success btn-sm" @click="ShowDeleteModal=false"> No </button>
</div>
</div>
</div>
</div>
</div>
</template>

<script>
const apiurl = 'FGS_FIFO_Daily_Receipt_Transaction/'
const items = [
              { key: 'SI.No' ,  _style:'' },
              //{ key: 'barcode', _style:'' },
              { key: 'suppliername', _style:''  },
              { key: 'materialDesc' , _style:'' },
              { key: 'batchTypeName' , _style:'' },
              { key: 'quantity' , _style:''  },
             { key: 'invoice_No' , _style:''  },
              { key: 'invoice_Date' , _style:'' },
              { key: 'locationName' ,_style:'' },
              { key: 'prodDate' ,_style: '', },
              { key: 'exp_Date' ,_style: '', },
             // { key: 'entryDate' ,_style: '', },
            //  { key: 'entered_By' , _style: '',},
              
              ]    


import Vue from 'vue'
import axios from 'axios'
import VUEAxios from 'vue-axios'
Vue.use(VUEAxios,axios)
import moment from 'moment'
import VueMonthlyPicker from 'vue-monthly-picker'





export default {
  data ()
  {
     return {
      prodDate_m: moment(),
      min :null,
      max :null,
      exp_Date_m: moment().add(1 ,'years').add(1, 'months'),
      min :null,
      max :null,
      isDisable: false,
      isDisplayInput: true,
      locale: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'], 
     
      

     items: items.map((item,) => { return {...item,}}),
     fields: [
    
              { key: 'inv_TransId' , label: 'SI.No',_classes: 'font-weight-bold', _style:'max-width:2%'},
             // { key: 'barcode', label: 'Barcode',_classes: 'font-weight-bold', _style:'min-width:50px' },
              { key: 'suppliername', label: 'Supplier', },
              { key: 'materialDesc' , label: 'Material ', },
              { key: 'batchTypeName' , label: 'Batch ',_style:'max-width:10%' },
              { key: 'quantity' , label: 'Quantity',_style:'max-width:10%' },
              { key: 'invoice_No' , label: 'Inv.No',_style:'max-width:10%' },
              { key: 'invoice_Date' , label: 'Inv.Date',_style:'max-width:10%' },
             // { key: 'locationName' , label: 'Loc',_style:'max-width:5%' },
              { key: 'prodDate' , label: 'Prod.Date',_style:'max-width:10%' },
              { key: 'exp_Date' , label: 'Exp.Date',_style:'max-width:10%' },
             // { key: 'entryDate' , label: 'Entry Date',_style:'min-width:100px' },
             // { key: 'entered_By' , label: 'Entered By',_style:'min-width:50px' },
             { key: 'show_details',  label: '',  _style: 'width:30%',  }
      
              
      ],
  details: [],
  errMsg:"",
  today :new Date(),
  cmonth : "",
  SuccessMsg:"",
  smallModal:"",
  ShowAddModal:"",
  ShowAlerteModal:"",
  ShowDeleteModal:"",
  CurrentMaterial:"",
   selectedItem: {},
    apiLoaded: false,
  inputValue:"",
  toLowerCase:"",
  ShowUpdateModal:"",
  ShowDetailsModal:"",
  locations:[],
  selectedlocationame:[],
  batchtypeitems: [],
  selectedbatchtypename:[],
  supplieritems : [],
  selectedsuppliername:[],
  materialitems :[],
  selectedmaterialdesc:[],
  newTag:{inv_TransId : 0,   tagId: 0,  location_Id: 0,  printer_Name: "",  printer_Ip: "",  printed_DateTime: "",  module_Name: "FGS ",  user_Id: 0, no_Of_Copies:1, print_Status: 1,tagDetails: {}},
  smallModal: false,
  newMaterial: {inv_TransId : 0, barcode : "" , supplier_Id : 0,suppliername:"", material_Id : 0,materialDesc:"",batch_Type_Id : 0,batchTypeName:"" ,quantity : 0 ,invoice_No :"" ,invoice_Date :"" ,location_Id : 0 ,locationName:"",prodDate :"" ,no_Of_Copies:1, exp_Date :"" ,entryDate:new Date(),entered_By: "" ,status : 1 }, }
  },
   components: {
    VueMonthlyPicker,
    
  },
  
  
  mounted()
  {
   this.getAllMaterialDetails();
   this.getAllBatchTypeDetails();
   this.getAllSupplierDetails();
   this.getMaterialDescDetails();
   this.getalllocation();
 
  },





  methods:
  {

  	

    resetSelection () {
      this.selectedItem = {}
      this.$nextTick( () => this.$refs.dropdowninput.focus() )
      this.$emit('on-item-reset')
    },
    selectItem (theItem) {
      this.selectedItem = theItem 
      this.inputValue = ''
      this.$emit('on-item-selected', theItem)
    },
    itemVisible (item) {
      let currentName = item.material.toLowerCase()
      let currentInput = this.inputValue.toLowerCase()
      return currentName.includes(currentInput)
    },
    
   getAllMaterialDetails()
   {
      
  // Vue.axios.get('http://172.23.8.193:8095/api/FGS_FIFO_Material_Master')
   Vue.axios.get(this.$url + apiurl)
   
    .then((response)=>{
    if(response.data.error)
       {
         this.errMsg=response.data.message;
       }
    else
       {
        this.items =response.data.filter(x => x.status == 1)
       
       }
    });
   },
   getAllBatchTypeDetails: function()
   {
     
   Vue.axios.get(this.$url + 'FGS_FIFO_BatchType_Master/')
    .then((response)=>{
    if(response.data.error)
       {
         this.errMsg=response.data.message;
       }
    else
       {
        this.batchtypeitems =response.data.filter(x => x.batch_Type_Status == 1)
         
       }
    });
   },
    getAllSupplierDetails: function()
   {
   Vue.axios.get(this.$url + 'FGS_FIFO_Supplier_Master/')
    .then((response)=>{
    if(response.data.error)
       {
         this.errMsg=response.data.message;
       }
    else
       {
        this.supplieritems =response.data.filter(x => x.supplier_Status == 1)
       }
    });
   },
    getalllocation: function()
   {
   Vue.axios.get(this.$url + 'FGS_FIFO_Location_Master/')
    .then((response)=>{
    if(response.data.error)
       {
         this.errMsg=response.data.message;
       }
    else
       {
        
        this.locations =response.data.filter(x => x.location_Status == 1);
        console.log(this.locations);

       }
    });
   },

    getMaterialDescDetails: function()
   {

   Vue.axios.get(this.$url + 'FGS_FIFO_Material_Master/')
    .then((response)=>{
    if(response.data.error)
       {
         this.errMsg=response.data.message;
       }
    else
       {
       
        this.materialitems =response.data.filter(x => x.material_Status = 1);
        this.apiLoaded = response.data.filter(x => x.material_Status = 1);
       

       }
    });
   },
  
  addMaterials()
  {
    this.newMaterial.status = 1,
    this.newMaterial.entryDate = this.today,
    this.newMaterial.material_Id = this.selectedItem.material_Id,
    this.newMaterial.prodDate = moment(this.prodDate_m ).clone().startOf('month').format('YYYY-MM-DD hh:mm');   
    this.newMaterial.exp_Date = moment(this.exp_Date_m).clone().endOf('month').format('YYYY-MM-DD hh:mm');
    
      
    Vue.axios.post(this.$url + apiurl,this.newMaterial).then((response)=>{
  // Vue.axios.post('https://localhost:44348/api/FGS_FIFO_Daily_Receipt_Transaction/',this.newMaterial).then((response)=>{
       if(response.data.error)
       {
          alert('Data Error')
          
       }
       else
       {
         
         this.addToTagGeneration(response.data);
          

        this.SuccessMsg ="Printing Success.."
       // getAllMaterialDetails();
        
       }
       
    })
  
   },
  addToTagGeneration(addtotagtable)
  { 
     

// locations:[],
//   selectedlocationame:[],
//   batchtypeitems: [],
//   selectedbatchtypename:[],
//   supplieritems : [],
//   selectedsuppliername:[],
//   materialitems :[],
//   selectedmaterialdesc:[],
//selectedItem.material



    this.selectedsuppliername = this.supplieritems.filter(x => x.supplier_Id ==  this.newMaterial.supplier_Id),
    this.selectedlocationame = this.locations.filter(x => x.location_Id ==  this.newMaterial.location_Id),
    this.selectedbatchtypename = this.batchtypeitems.filter(x => x.batch_Type_Id ==  this.newMaterial.batch_Type_Id),
     this.selectedmaterialdesc = this.materialitems.filter(x => x.material_Id ==  this.selectedItem.material_Id),
 
    
    this.cmonth = this.today.toLocaleString('default', { month: 'short' }),
 
    this.newTag.inv_TransId =  addtotagtable.inv_TransId,
    this.newTag.location_Id= addtotagtable.location_Id,  
    this.newTag.printer_Name= "canon", 
    this.newTag.printer_Ip= "192.168.1.12", 
    
    this.newTag.printed_DateTime= this.today,
    this.newTag.module_Name=  "FGSFIFO", 
    this.newTag.print_Status= 0,
    this.newTag.no_Of_Copies = this.newMaterial.no_Of_Copies,
    this.newTag.tagDetails =  "barcode : "+ addtotagtable.barcode + " || Supplier : "  + this.selectedsuppliername[0].supplier_Name +"|| Material : "+this.selectedmaterialdesc[0].material_Description +"|| Batch :"+ this.selectedbatchtypename[0].batch_Type_Name +"|| Quantity : " +this.newMaterial.quantity +"|| Inv.No :" +this.newMaterial.invoice_No +"|| Inv.Date :" + this.newMaterial.invoice_Date +"|| Location :"+ this.selectedlocationame[0].location_Name + "|| Month :" +this.cmonth,
    
    //this.newMaterial.entryDate = this.today,
  Vue.axios.post(this.$url + 'Trace_Tag_Generation/',this.newTag).then((response)=>{

       if(response.data.error)
       {
          alert('Data Error')
       }
       else
       {
       
        // this.SuccessMsg ="Tag Printing in progress..",
        // this.ShowDetailsModal = false;
        // this.smallModal = true;
        //location.reload();
       // getAllMaterialDetails();
        
       }
       
    })
  
   },
  UpdateMaterials()
  {
 Vue.axios.put(this.$url + apiurl +this.CurrentMaterial.inv_TransId,this.CurrentMaterial,).then((response)=>{
//Vue.axios.put('http://172.23.8.193:8095/api/FGS_FIFO_Material_Master/'+this.CurrentMaterial.material_Id,this.CurrentMaterial,).then((response)=>{
       if(response.data.error)
       {
          alert('Data Error')
       }
       else
       {
         this.SuccessMsg ="Records Updated Successfully.."
         this.getAllMaterialDetails();
       }
    })
   },

  deleteItem()
    {
      var material_Id = this.CurrentMaterial.inv_TransId;
        axios({   method: 'delete',
           url: this.$url + apiurl+ material_Id
      
    });
        this.SuccessMsg="Material Status Changed to Inactive Succesfully"
    },
      
  SelectMaterial(Material)
    {
     this.CurrentMaterial=Material;
    },
  

  },

}
</script>

<style scoped>
#overlay{
  position:absolute;
  top:100px;
  bottom:0;
  left:0;
  right:0;
  background:rgba(0,0,0,0.6);



  
}
/* .form-group {
  display: flex;
  flex: 0 0 0 0;
  flex-flow: row wrap;
  align-items: left;
  margin-bottom: 0;
} */


.dropdown{
  position: relative;
  width: 100%;
  max-width: 400px;
  margin: 0 auto;
}
.dropdown-input, .dropdown-selected{
  width: 100%;
  padding: 10px 16px;
  border: 1px solid transparent;
  background: #edf2f7;
  line-height: 1.5em;
  outline: none;
  border-radius: 8px;
}
.dropdown-input:focus, .dropdown-selected:hover{
  background: #fff;
  border-color: #e2e8f0;
}
.dropdown-input::placeholder{
  opacity: 0.7;
}
.dropdown-selected{
  font-weight: bold;
  cursor: pointer;
}
 .dropdown-list{
  position: float; 
  width: 500px;
  max-height: 500px;
  margin-top: 4px;
  overflow-y: auto;
  background: #ffffff;
  box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);
  border-radius: 8px;
} 
/* .dropdown-item{
  display: flex;
  width: 100%;
  padding: 11px 16px;
  cursor: pointer;
} */
.dropdown-item:hover{
  background: #edf2f7;
}
.datepicker {
    -moz-appearance: none;
    -webkit-appearance: none;
    align-items: center;
    border: 1px solid transparent;
    border-radius: 3px;
    box-shadow: none;
    display: inline-flex;
    font-size: 1rem;
    height: 2.25em;
    justify-content: flex-start;
    line-height: 1.5;
    padding: 2px calc(.625em - 1px);
    position: relative;
    vertical-align: top;
    background-color: #fff;
    border-color: #dbdbdb;
    color: #363636;
    box-shadow: inset 0 1px 2px hsla(0,0%,4%,.1);
    max-width: 196px;
    width: 100%;
  }

</style>
